Subject: Re: Points showing as "0" on my purchase from Sept 2014. (KMM25177030V8069L0KM)
From: "[email-masked]" <[email-masked]>
To: <[email-masked]>
Date: Sat, 28 Mar 2015 19:52:52 -0500

Hello Michael,

Thank you for contacting My Best Buy. My name is John and I will be assisting you with your My Best Buy points.

I understand how important is for you to be properly rewarded. I have reviewed your purchase information and found that you chose promotional financing on this purchase. Purchases with promotional financing are not eligible for reward points or point promotions which explains why those points have not posted to your account. Even though points are not earned on this purchase, I do want you to know that your purchase does count towards maintaining your Elite status.

If you are interested in maximizing your point earning potential, be sure to select standard credit when using your My Best Buy credit card. Additionally, promotional financing is a great option if you would like a little extra time to pay off your purchase and could save you money in the form of deferred interest charges.

Thank you for being an Elite member, we appreciate your business. Please let us know if there is anything else we can assist you with. We have specialists that can assist you seven (7) days a week and are available daily from 6 a.m. - Midnight Central. We can be reached at 1-866-797-7367.
 
Sincerely,
 
John
My Best Buy Account Specialist
Case ID: 156571523

Original Message Follows:
------------------------

Customer "Contact Us" Form Submission
First Name: Michael

Last Name: Bishop

Phone: (517) 775-4916

E-Mail: [email-masked]

My Best Buy Member ID: 2009555970

Are you Contacting us about an order? yes

Order Number: 

What can we help you with? Points showing as "0" on my purchase from Sept 2014.

Subject
Points showing as "0" on my purchase from Sept 2014.

Detailed Summary
Customer Service PIN
0803 063 4213 091314
I tried to report that my points were missing from my purchase I made back in September 2014.  It says that points were already added but they say the purchase is zero and 0 points.  It is under the 0% financing plan now and still has a balance owed.  Is that why it might not be showing up?  Please let me know.
Thank you.